import { DatabaseConnector, Neo4jRepo } from "src/util/database-connector"


export class MemberRepository implements Neo4jRepo {

    private static instance: MemberRepository;
    private static connector: DatabaseConnector;

    private constructor() { }

    public getInstance() { return MemberRepository.getInstance(); }
    public static getInstance() {
        if (!MemberRepository.instance) MemberRepository.instance = new MemberRepository();
        return MemberRepository.instance;
    }
    
    public setConnector(connector: DatabaseConnector) { MemberRepository.setConnector(connector); }
    public static setConnector(connector: DatabaseConnector) {
        MemberRepository.connector = connector;
    }

    
}